<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
          <groupId>org.xyzh</groupId>
          <artifactId>school-news</artifactId>
          <version>${school-news.version}</version>
    </parent>

    <groupId>org.xyzh</groupId>
    <artifactId>admin</artifactId>
    <version>${school-news.version}</version>

    <properties>
        <maven.compiler.source>21</maven.compiler.source>
        <maven.compiler.target>21</maven.compiler.target>
    </properties>

    <dependencies>
        <dependency>
            <groupId>org.xyzh</groupId>
            <artifactId>auth</artifactId>
            <version>${school-news.version}</version>
        </dependency>
        <dependency>
            <groupId>org.xyzh</groupId>
            <artifactId>common-all</artifactId>
            <version>${school-news.version}</version>
        </dependency>
        <dependency>
            <groupId>org.xyzh</groupId>
            <artifactId>api-all</artifactId>
            <version>${school-news.version}</version>
        </dependency>
        <dependency>
            <groupId>org.xyzh</groupId>
            <artifactId>system</artifactId>
            <version>${school-news.version}</version>
        </dependency>
        <dependency>
            <groupId>org.xyzh</groupId>
            <artifactId>news</artifactId>
            <version>${school-news.version}</version>
        </dependency>
        <dependency>
            <groupId>org.xyzh</groupId>
            <artifactId>study</artifactId>
            <version>${school-news.version}</version>
        </dependency>
        <dependency>
            <groupId>org.xyzh</groupId>
            <artifactId>usercenter</artifactId>
            <version>${school-news.version}</version>
        </dependency>
        <dependency>
            <groupId>org.xyzh</groupId>
            <artifactId>file</artifactId>
            <version>${school-news.version}</version>
        </dependency>
        <dependency>
            <groupId>org.xyzh</groupId>
            <artifactId>ai</artifactId>
            <version>${school-news.version}</version>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
                    <mainClass>org.xyzh.App</mainClass>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <parameters>true</parameters>
                </configuration>
            </plugin>
        </plugins>
    </build>

</project>